Subject: bug#32823: 26.1; nxml-mode: "no matching start-tag" with long entity definition list

From: Noam Postavsky <[email-masked]>
Date: Tue, 04 Jun 2019 08:59:01 -0400

tags 32823 fixed
close 32823 27.1
quit

Vincent Lefevre <[email-masked]> writes:

> On 2019-05-31 00:08:59 +0200, Vincent Lefevre wrote:
>> On 2019-05-29 19:40:40 -0400, Noam Postavsky wrote:
>> > Moritz Bunkus <[email-masked]> writes:
>> > 
>> > >> Ah, you're right, it's not like #18871.  But I think it's the same as
>> > >> one of the edge cases Vincent brought up during Bug#33887, and the
>> > >> second patch in https://debbugs.gnu.org/33887#73 should fix it:
>> > >
>> > > That patch does indeed fix the issue for me. Thanks a lot!
>> > 
>> > Updated patch for another edge case (https://debbugs.gnu.org/33887#127).
>> 
>> Thanks. It seems that all problems are solved!
>
> Unfortunately, they aren't. :( Emacs hangs on the attached file.

I can't reproduce this, but there have been a lot of patches flying
around.  So I'm pushing to master and closing this bug which I believe
is now fixed.  If you still get the hanging with latest master, open a
new bug, and we'll see about fixing that too.

d414c93b06 2019-06-04T08:42:50-04:00 "Don't sgml-syntax-propertize-inside XML prolog (Bug#32823)"
https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=d414c93b062cc3e245a6db0cb764d354d037bd42